package com.ruoyi.report.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.report.domain.RzlViewStatisticsInfo;
import com.ruoyi.report.vo.PatentLastSumDTO;
import com.ruoyi.report.vo.ViewStatisticsInfoRep;

/**
 * 专利有效-概况统计Service接口
 *
 * @author ruoyi
 * @date 2023-03-26
 */
public interface IRzlViewStatisticsInfoService extends IService<RzlViewStatisticsInfo> {
    /**
     * 查询专利有效-概况统计列表
     *
     * @param rzlViewStatisticsInfo 专利有效-概况统计
     * @return 专利有效-概况统计集合
     * @date 2023-03-26
     */
    List<RzlViewStatisticsInfo> queryList(RzlViewStatisticsInfo rzlViewStatisticsInfo);
    ViewStatisticsInfoRep listByReport(RzlViewStatisticsInfo rzlViewStatisticsInfo);
    RzlViewStatisticsInfo getLastOne() ;
	List<String>selectYearList(int year);
	

	PatentLastSumDTO listForLast();
}
